Bug 1474792 - Cannot use our gnulib in pspp - /usr/share/gnulib/doc/relocatable.texi not found
Cannot use our gnulib in pspp - /usr/share/gnulib/doc/relocatable.texi not found
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnulib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mosaab Alzoubi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 08:05 EDT by Peter Lemenkov
Modified: 2017-08-09 11:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: gnulib-0-22.20170217git.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 11:57:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full build log (24.18 KB, text/plain)
2017-07-25 08:05 EDT, Peter Lemenkov
no flags Details
SRPM I'm trying to build (6.97 MB, application/octet-stream)
2017-07-25 08:06 EDT, Peter Lemenkov
no flags Details

  None (edit)
Description Peter Lemenkov 2017-07-25 08:05:22 EDT
Created attachment 1304191 [details]
full build log

Hello!
I'm trying to unbundle old gnulib library bundled within PSPP source tree and every time got strange error:

/usr/bin/gnulib-tool: *** file /usr/share/gnulib/doc/relocatable.texi not found
/usr/bin/gnulib-tool: *** Stop.
make: *** [Smake:345: prep_ph] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.CAjZ0D (%build)

(I've attached full rpmbuild -ba log)

I believe we accidentally missed this file during installation. I'd love to skip but cannot find any way to skip doc-file building.
Comment 1 Peter Lemenkov 2017-07-25 08:06 EDT
Created attachment 1304192 [details]
SRPM I'm trying to build
Comment 2 Fedora Update System 2017-07-28 14:56:54 EDT
gnulib-0-22.20170217git.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-33eee13024
Comment 3 Fedora Update System 2017-07-31 00:23:20 EDT
gnulib-0-22.20170217git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-33eee13024
Comment 4 Zbigniew Jędrzejewski-Szmek 2017-07-31 11:36:02 EDT
Thanks for submitting the update. I opened your patch but then got distracted.
Comment 5 Fedora Update System 2017-08-09 11:57:40 EDT
gnulib-0-22.20170217git.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.